directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pamarce...@apache.org
Subject svn commit: r950028 - /directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
Date Tue, 01 Jun 2010 11:55:53 GMT
Author: pamarcelot
Date: Tue Jun  1 11:55:53 2010
New Revision: 950028

URL: http://svn.apache.org/viewvc?rev=950028&view=rev
Log:
Fix for DIRSERVER-1423. Applied patch from Krzysztof BaraƄski.

Modified:
    directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst

Modified: directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
URL: http://svn.apache.org/viewvc/directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst?rev=950028&r1=950027&r2=950028&view=diff
==============================================================================
--- directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
(original)
+++ directory/daemon/trunk/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
Tue Jun  1 11:55:53 2010
@@ -27,8 +27,8 @@ chmod +x /etc/init.d/apacheds-${app.vers
 USER=`eval "id -u -n apacheds 2>/dev/null || :"`
 if [ ! "Xapacheds" = "X$USER" ]
 then
-	/usr/sbin/groupadd apacheds >/dev/null 2>&1 || :
-	/usr/sbin/useradd -g apacheds -d /opt/apacheds-${app.version} apacheds >/dev/null 2>&1
|| :
+	/usr/sbin/groupadd --system apacheds >/dev/null 2>&1 || :
+	/usr/sbin/useradd --system -g apacheds -d /opt/apacheds-${app.version} apacheds >/dev/null
2>&1 || :
 fi
 
 # Modifying owner



Mime
View raw message